#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

# -- Use an initContainer to download the Flood web ui
# Set UI with env `TRANSMISSION_WEB_HOME` set to `/config/flood-for-transmission/`
# @default -- See values.yaml
initContainers: {}
  # custom-webui:
  #   name: custom-webui
  #   image: curlimages/curl:7.76.1
  #   command:
  #   - "/bin/sh"
  #   - "-c"
  #   - "curl -o- -sL https://github.com/johman10/flood-for-transmission/releases/download/latest/flood-for-transmission.tar.gz | tar xzf - -C /config"
  #   volumeMounts:
  #   - name: config
  #     mountPath: /config
  #   securityContext:
  #     runAsUser: 568
  #     runAsGroup: 568

image:
  # -- image repository
  repository: ghcr.io/k8s-at-home/transmission
  # -- image tag
  tag: v3.00
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [image docs](https://github.com/k8s-at-home/container-images/tree/main/apps/transmission/settings.json.tmpl) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- Path in container where the Web UI is located
  TRANSMISSION_WEB_HOME: /web
  # -- Password to access the Web UI
  TRANSMISSION_RPC_PASSWORD: CHANGEME
  # -- Torrent download directory
  TRANSMISSION_DOWNLOAD_DIR: /downloads/complete
  # -- Enable incomplete download directory
  TRANSMISSION_INCOMPLETE_DIR_ENABLED: false
  # -- Incomplete download directory
  TRANSMISSION_INCOMPLETE_DIR: /downloads/incomplete
  # -- Enable watch directory
  TRANSMISSION_WATCH_DIR_ENABLED: false
  # -- Watch directory
  TRANSMISSION_WATCH_DIR: /watch

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 9091
  utptcp:
    enabled: false
    type: ClusterIP
    ports:
      utptcp:
        enabled: true
        port: 51413
        protocol: TCP
        targetPort: 51413
  utpudp:
    enabled: false
    type: ClusterIP
    ports:
      utpudp:
        enabled: true
        port: 51413
        protocol: UDP
        targetPort: 51413

# -- Configures the probes for the main Pod.
# @default -- See values.yaml
## transmission runs the GUI and I/O on the same thread.
## Heavy bandwith usage may stall the UI and result in restarts.
probes:
  liveness:
    spec:
      timeoutSeconds: 30
  readiness:
    spec:
      timeoutSeconds: 30

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  config:
    enabled: false
    mountPath: /config

  downloads:
    enabled: false
    mountPath: /downloads

  watch:
    enabled: false
    mountPath: /watch
